#include "DialogueAddItemNode.h"
#include "DialogueTree.h"

#define LOCTEXT_NAMESPACE "UDialogueTextNode"

UDialogueAddItemNode::UDialogueAddItemNode()
{
#if WITH_EDITORONLY_DATA
	CompatibleGraphType = UDialogueTree::StaticClass();

	ContextMenuName = LOCTEXT("ConextMenuName", "Add Item Node");
#endif
}

#if WITH_EDITOR

FText UDialogueAddItemNode::GetNodeTitle() const
{
	return Bruh;
}

void UDialogueAddItemNode::SetNodeTitle(const FText& NewTitle)
{
	Bruh = NewTitle;
}

FLinearColor UDialogueAddItemNode::GetBackgroundColor() const
{
	const UDialogueTree* DialogueTree = Cast<UDialogueTree>(GetGraph());

	if (DialogueTree == nullptr)
		return Super::GetBackgroundColor();

	return FLinearColor::Black;
}

#endif

#undef LOCTEXT_NAMESPACE
